Bug 857606 - [abrt] gnome-hearts-0.3-10.fc17: g_type_check_instance_cast: Process /usr/bin/gnome-hearts was killed by signal 11 (SIGSEGV)
[abrt] gnome-hearts-0.3-10.fc17: g_type_check_instance_cast: Process /usr/bin...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-hearts (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christopher Aillon (sabbatical, not receiving bugmail)
Fedora Extras Quality Assurance
abrt_hash:ad1c00e80ea754a8cae46ce2373...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-15 00:38 EDT by JW Hall
Modified: 2013-07-31 18:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 18:05:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (2.82 KB, text/plain)
2012-09-15 00:38 EDT, JW Hall
no flags Details
File: environ (1.57 KB, text/plain)
2012-09-15 00:38 EDT, JW Hall
no flags Details
File: event_log (1.48 KB, text/plain)
2012-09-15 00:39 EDT, JW Hall
no flags Details
File: limits (1.29 KB, text/plain)
2012-09-15 00:39 EDT, JW Hall
no flags Details
File: backtrace (31.99 KB, text/plain)
2012-09-15 00:39 EDT, JW Hall
no flags Details
File: cgroup (127 bytes, text/plain)
2012-09-15 00:39 EDT, JW Hall
no flags Details
File: maps (31.37 KB, text/plain)
2012-09-15 00:39 EDT, JW Hall
no flags Details
File: dso_list (9.77 KB, text/plain)
2012-09-15 00:39 EDT, JW Hall
no flags Details
File: var_log_messages (321 bytes, text/plain)
2012-09-15 00:39 EDT, JW Hall
no flags Details
File: open_fds (688 bytes, text/plain)
2012-09-15 00:39 EDT, JW Hall
no flags Details

  None (edit)
Description JW Hall 2012-09-15 00:38:56 EDT
Version-Release number of selected component:
gnome-hearts-0.3-10.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        gnome-hearts
crash_function: g_type_check_instance_cast
kernel:         3.5.2-1.fc17.i686

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 g_type_check_instance_cast at gtype.c
: #1 notify_name_change at gaillabel.c
: #7 window_added at gailutil.c
: #9 g_cclosure_marshal_VOID__UINT_POINTER at gmarshal.c
: #13 g_signal_emit_by_name at gsignal.c
: #14 gail_toplevel_show_event_watcher at gailtoplevel.c
: #18 gtk_widget_show at gtkwidget.c
: #20 gtk_widget_show_all at gtkwidget.c
: #21 game_end_test at hearts.c
: #22 button_press_event at events.c
Comment 1 JW Hall 2012-09-15 00:38:58 EDT
Created attachment 613109 [details]
File: core_backtrace
Comment 2 JW Hall 2012-09-15 00:38:59 EDT
Created attachment 613110 [details]
File: environ
Comment 3 JW Hall 2012-09-15 00:39:01 EDT
Created attachment 613111 [details]
File: event_log
Comment 4 JW Hall 2012-09-15 00:39:03 EDT
Created attachment 613112 [details]
File: limits
Comment 5 JW Hall 2012-09-15 00:39:06 EDT
Created attachment 613113 [details]
File: backtrace
Comment 6 JW Hall 2012-09-15 00:39:07 EDT
Created attachment 613114 [details]
File: cgroup
Comment 7 JW Hall 2012-09-15 00:39:10 EDT
Created attachment 613115 [details]
File: maps
Comment 8 JW Hall 2012-09-15 00:39:11 EDT
Created attachment 613116 [details]
File: dso_list
Comment 9 JW Hall 2012-09-15 00:39:13 EDT
Created attachment 613117 [details]
File: var_log_messages
Comment 10 JW Hall 2012-09-15 00:39:14 EDT
Created attachment 613118 [details]
File: open_fds
Comment 11 JW Hall 2012-09-16 18:23:48 EDT
Had played a game of hearts. Was going to play another, but after the first hand it closed itself and put a problem into ABRT to be reported.

backtrace_rating: 4
Package: gnome-hearts-0.3-10.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 12 JW Hall 2012-10-03 12:37:11 EDT
I believe this really only started after I used the "Restart" hand option. Maybe if I could rm the log file? It works for xfce session. I just don't know what it's called nor where it's located.
Comment 13 Fedora End Of Life 2013-07-03 17:11:37 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2013-07-31 18:05:13 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.